diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/DwcTaxonStreamItem2CdmTaxonConverter.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/DwcTaxonStreamItem2CdmTaxonConverter.java
index 87a48b3086..d054bb6bb9 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/DwcTaxonStreamItem2CdmTaxonConverter.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/DwcTaxonStreamItem2CdmTaxonConverter.java
@@ -33,12 +33,12 @@ import eu.etaxonomy.cdm.model.common.ExtensionType;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
 import eu.etaxonomy.cdm.model.common.LSID;
 import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.description.CommonTaxonName;
 import eu.etaxonomy.cdm.model.description.Distribution;
 import eu.etaxonomy.cdm.model.description.PresenceTerm;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.location.NamedArea;
-import eu.etaxonomy.cdm.model.location.TdwgArea;
 import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 import eu.etaxonomy.cdm.model.name.NonViralName;
@@ -91,7 +91,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 		
 		//original source
 		String id = csvTaxonRecord.get(ID);
-		IdentifiableSource source = taxonBase.addSource(id, "Taxon", sourceReference, sourceReferenceDetail);
+		IdentifiableSource source = taxonBase.addSource(OriginalSourceType.Import, id, "Taxon", sourceReference, sourceReferenceDetail);
 		MappedCdmBase mappedSource = new MappedCdmBase(csvTaxonRecord.get(ID), source);
 		resultList.add(mappedSource);
 		csvTaxonRecord.remove(ID);
@@ -106,6 +106,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 		
 		//nameAccordingTo
 		MappedCdmBase<Reference> sec = getNameAccordingTo(csvTaxonRecord, resultList);
+		
 		if (sec == null && state.getConfig().isUseSourceReferenceAsSec()){
 			sec = new MappedCdmBase<Reference>(state.getTransactionalSourceReference());
 		}
@@ -189,7 +190,14 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 	 * @param taxonBase
 	 */
 	private void handleIdentifiableObjects(StreamItem item,TaxonBase<?> taxonBase) {
+		
+		
 		String references = item.get(TermUri.DC_REFERENCES);
+		
+		if (references == null || references == "") {
+			references = item.get(TermUri.DWC_NAME_PUBLISHED_IN_ID);//lorna temporary until Scratchpads move the reference to the correct place.
+		}
+		
 		if (StringUtils.isNotBlank(references)){
 			URI uri = makeUriIfIs(references);
 			if (uri != null){
@@ -209,7 +217,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 			Reference<?> ref = ReferenceFactory.newGeneric();
 			ref.setTitle(reference);
 			Taxon taxon = (Taxon) taxonBase;
-			taxon.addSource(id, idNamespace, ref, null);
+			taxon.addSource(OriginalSourceType.Import, id, idNamespace, ref, null);
 		}
 		
 		
@@ -263,6 +271,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 	private void handleTdwgArea(StreamItem item, TaxonBase<?> taxonBase) {
 		// TODO Auto-generated method stub
 		String tdwg_area = item.get(TermUri.DWC_COUNTRY_CODE);
+		if (tdwg_area != null){
 		if(taxonBase instanceof Synonym){
 			Synonym synonym = CdmBase.deproxy(taxonBase, Synonym.class);
 			Set<Taxon> acceptedTaxaList = synonym.getAcceptedTaxa();
@@ -272,10 +281,10 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 			}else{
 				for(Taxon taxon : acceptedTaxaList){
 					TaxonDescription td = getTaxonDescription(taxon, false);
-					NamedArea area = TdwgArea.getAreaByTdwgAbbreviation(tdwg_area);
-
+					NamedArea area = NamedArea.getAreaByTdwgAbbreviation(tdwg_area);
+	
 					if (area == null){
-						area = TdwgArea.getAreaByTdwgLabel(tdwg_area);
+						area = NamedArea.getAreaByTdwgLabel(tdwg_area);
 					}
 					if (area != null){
 						Distribution distribution = Distribution.NewInstance(area, PresenceTerm.PRESENT());
@@ -287,10 +296,10 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 		if(!(taxonBase instanceof Synonym)){
 			Taxon taxon = CdmBase.deproxy(taxonBase, Taxon.class);
 			TaxonDescription td = getTaxonDescription(taxon, false);
-			NamedArea area = TdwgArea.getAreaByTdwgAbbreviation(tdwg_area);
-
+			NamedArea area = NamedArea.getAreaByTdwgAbbreviation(tdwg_area);
+	
 			if (area == null){
-				area = TdwgArea.getAreaByTdwgLabel(tdwg_area);
+				area = NamedArea.getAreaByTdwgLabel(tdwg_area);
 			}
 			if (area != null){
 				Distribution distribution = Distribution.NewInstance(area, PresenceTerm.PRESENT());
@@ -298,6 +307,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 			}
 		}
 	}
+	}
 
 
 	/**
@@ -364,14 +374,15 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 			//if not exists, create new
 			if (! classificationExists){
 				String classificationName = StringUtils.isBlank(datasetName)? datasetId : datasetName;
-				if (classificationName.equals(NO_DATASET)){
-					classificationName = "Classification (no name)";  //TODO define by config or zipfile or metadata
+				if (classificationName.equals(NO_DATASET)){					
+					classificationName = config.getClassificationName();
+					//classificationName = "Classification (no name)";  //TODO define by config or zipfile or metadata
 				}
 				
 				String classificationId = StringUtils.isBlank(datasetId)? datasetName : datasetId;
 				Classification classification = Classification.NewInstance(classificationName);
 				//source
-				IdentifiableSource source = classification.addSource(classificationId, "Dataset", sourceReference, sourceReferecenDetail);
+				IdentifiableSource source = classification.addSource(OriginalSourceType.Import, classificationId, "Dataset", sourceReference, sourceReferecenDetail);
 				//add to result
 				resultList.add(new MappedCdmBase(idTerm, datasetId, classification));
 				resultList.add(new MappedCdmBase(strTerm, datasetName, classification));
@@ -389,7 +400,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 					taxonBase.setSec(ref);
 				}else{
 					//dataset as original source
-					taxonBase.addSource(null, null, ref, null);
+					taxonBase.addSource(OriginalSourceType.Import, null, null, ref, null);
 				}
 			}
 		}else{
@@ -440,9 +451,9 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 		String strKingdom = getValue(item, TermUri.DWC_KINGDOM);
 		if (strKingdom != null){
 			if (strKingdom.equalsIgnoreCase("Plantae")){
-				nomCode = NomenclaturalCode.ICBN;
+				nomCode = NomenclaturalCode.ICNAFP;
 			}else if (strKingdom.equalsIgnoreCase("Fungi")){
-				nomCode = NomenclaturalCode.ICBN;
+				nomCode = NomenclaturalCode.ICNAFP;
 			}else if (strKingdom.equalsIgnoreCase("Animalia")){
 				nomCode = NomenclaturalCode.ICZN;
 			}else if (strKingdom.equalsIgnoreCase("Protozoa")){
@@ -482,7 +493,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 		if (strScientificNameId != null){
 			if (config.isScientificNameIdAsOriginalSourceId()){
 				if (name != null){
-					IdentifiableSource source = IdentifiableSource.NewInstance(strScientificNameId, TermUri.DWC_SCIENTIFIC_NAME_ID.toString(), sourceReference, null);
+					IdentifiableSource source = IdentifiableSource.NewInstance(OriginalSourceType.Import, strScientificNameId, TermUri.DWC_SCIENTIFIC_NAME_ID.toString(), sourceReference, null);
 					name.addSource(source);
 				}
 			}else{
@@ -534,10 +545,10 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 					if (! idIsInternal){
 						//references should already exist in store if not linking to external links like URLs
 						String message = "External namePublishedInIDs are not yet supported";
-						fireWarningEvent(message, item, 4);
+						fireWarningEvent(message, item, 4);//set to DEBUG
 					}else{
 						newRef = ReferenceFactory.newGeneric();  //TODO handle other types if possible
-						newRef.addSource(refId, idTerm.toString(), sourceCitation, null);
+						newRef.addSource(OriginalSourceType.Import, refId, idTerm.toString(), sourceCitation, null);
 						MappedCdmBase<Reference> idResult = new MappedCdmBase<Reference>(idTerm, refId, newRef);
 						resultList.add(idResult);
 					}
@@ -603,7 +614,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 			try {
 				rank = Rank.getRankByEnglishName(strRank, nomCode, USE_UNKNOWN);
 				if (rank.equals(Rank.UNKNOWN_RANK())){
-					rank = Rank.getRankByNameOrAbbreviation(strRank, USE_UNKNOWN);
+					rank = Rank.getRankByNameOrIdInVoc(strRank, USE_UNKNOWN);
 					if (rank.equals(Rank.UNKNOWN_RANK())){
 						String message = "Rank can not be defined for '%s'";
 						message = String.format(message, strRank);
@@ -617,7 +628,7 @@ public class  DwcTaxonStreamItem2CdmTaxonConverter<CONFIG extends DwcaDataImport
 		}
 		if ( (rank == null || rank.equals(Rank.UNKNOWN_RANK())) && strVerbatimRank != null){
 			try {
-				rank = Rank.getRankByNameOrAbbreviation(strVerbatimRank, USE_UNKNOWN);
+				rank = Rank.getRankByNameOrIdInVoc(strVerbatimRank, USE_UNKNOWN);
 				if (rank.equals(Rank.UNKNOWN_RANK())){
 					String message = "Rank can not be defined for '%s'";
 					message = String.format(message, strVerbatimRank);
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/DwcaZipToStreamConverter.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/DwcaZipToStreamConverter.java
index 8599f8b34a..f65a0e00e6 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/DwcaZipToStreamConverter.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/DwcaZipToStreamConverter.java
@@ -18,6 +18,7 @@ import java.io.UnsupportedEncodingException;
 import java.net.URI;
 import java.util.ArrayList;
 import java.util.Arrays;
+import java.util.Enumeration;
 import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
@@ -263,7 +264,15 @@ public class DwcaZipToStreamConverter<STATE extends DwcaImportState> {
 			throw new IOException(String.format(message, dwcaZip.toString()));
 		}
 		ZipFile zip = new ZipFile(file, ZipFile.OPEN_READ);
+		
+		//Enumeration<? extends ZipEntry> zipEntries = zip.entries();
+		//ze = new ZipEntry(name);
 		ZipEntry metaEntry = zip.getEntry(name);
+		
+		//Lorna added this to deal with Scratchpads dwca.zip files which when unzipped have a directory dwca/ which contains the files
+		if (metaEntry == null) {
+			metaEntry = zip.getEntry("dwca/" + name);
+		}
 		if (metaEntry == null){
 			String message = "Zip entry for %s not available";
 			throw new IOException(String.format(message, name));
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifDescriptionCsv2CdmConverter.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifDescriptionCsv2CdmConverter.java
index 51bcef54bd..ce7810ee13 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifDescriptionCsv2CdmConverter.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifDescriptionCsv2CdmConverter.java
@@ -27,6 +27,7 @@ import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TextData;
+import eu.etaxonomy.cdm.model.media.Rights;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 
@@ -62,13 +63,35 @@ public class GbifDescriptionCsv2CdmConverter extends PartitionableConverterBase<
 		if (taxon != null){
 			
 			String description = item.get(TermUri.DC_DESCRIPTION);
+			//String license = item.get(TermUri.DC_LICENSE);//lorna check - often empty in SP dwca
+					
+			//TODO: Create the Language from the TermUri.DC_LANGUAGE in the dwca
+			Language language = getLanguage(item); 
+									
+			
 			if (StringUtils.isNotBlank(description)){
 				Feature feature = getFeatureByDcType(item, resultList);
 
 				TaxonDescription taxonDescription = getTaxonDescription(taxon, false);
+								
+				//deduplicate - if this taxonDescription already got these Rights attached
+				boolean addRights = true;
+				String rights = item.get(TermUri.DC_RIGHTS);
+				Set<Rights> allRights = taxonDescription.getRights();				
+				for (Rights r : allRights) {					
+					if (r.getText() == rights) {
+						addRights = false;
+					}
+				}
+				
+				if (addRights && (rights != null || rights != "")) {
+					Rights copyright = Rights.NewInstance(rights, language);
+					taxonDescription.addRights(copyright);
+				}
+				
 				TextData descElement = TextData.NewInstance(feature);
 				
-				Language language = getLanguage(item);  //TODO
+				//Language language = getLanguage(item);  //TODO
 				descElement.putText(language,description);
 				taxonDescription.addElement(descElement);
 			}else{
@@ -92,6 +115,14 @@ public class GbifDescriptionCsv2CdmConverter extends PartitionableConverterBase<
 		//TODO
 		
 		Language language = Language.DEFAULT();
+		String langString = item.get(TermUri.DC_LANGUAGE);	
+		
+		/*if (langString != null) {
+			if (!langString.equals("")) {
+				language = getTermService().getLanguageByIso(langString.substring(0, 2));
+				//can getTermService from StreamImportBase which calls GbifDescriptionCsv2CdmConverter.map
+			}
+		}*/
 		return language;
 	}
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifDistributionCsv2CdmConverter.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifDistributionCsv2CdmConverter.java
index 1bc8078267..7ac3278387 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifDistributionCsv2CdmConverter.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifDistributionCsv2CdmConverter.java
@@ -17,6 +17,7 @@ import java.util.Set;
 
 import org.apache.log4j.Logger;
 
+import eu.etaxonomy.cdm.io.common.TdwgAreaProvider;
 import eu.etaxonomy.cdm.io.dwca.TermUri;
 import eu.etaxonomy.cdm.io.stream.StreamItem;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -24,7 +25,6 @@ import eu.etaxonomy.cdm.model.description.Distribution;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.location.NamedArea;
-import eu.etaxonomy.cdm.model.location.TdwgArea;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 
@@ -117,7 +117,7 @@ public class GbifDistributionCsv2CdmConverter extends PartitionableConverterBase
 		List<NamedArea> result = state.get(namespace, locationId, NamedArea.class);
 		if (result.isEmpty()){
 			//try to find in cdm
-			NamedArea newArea = TdwgArea.getAreaByTdwgAbbreviation(locationId);
+			NamedArea newArea = TdwgAreaProvider.getAreaByTdwgAbbreviation(locationId);
 			if (newArea == null){
 //				state.getCurrentIO().getTermService().findByAreaCode
 			}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifReferenceCsv2CdmConverter.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifReferenceCsv2CdmConverter.java
index 1e52648800..6b8d46c765 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifReferenceCsv2CdmConverter.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifReferenceCsv2CdmConverter.java
@@ -26,9 +26,10 @@ import eu.etaxonomy.cdm.io.stream.StreamItem;
 import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.common.LSID;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TextData;
@@ -40,6 +41,7 @@ import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
+import eu.etaxonomy.cdm.strategy.parser.TimePeriodParser;
 
 /**
  * @author a.mueller
@@ -186,7 +188,7 @@ public class GbifReferenceCsv2CdmConverter extends PartitionableConverterBase<Dw
 	private void createCitation(TaxonDescription desc, Reference ref, TaxonNameBase nameUsedInSource) {
 		Feature feature = Feature.CITATION();
 		TextData textData = TextData.NewInstance(feature);
-		DescriptionElementSource source = DescriptionElementSource.NewInstance(ref, null, nameUsedInSource, null);
+		DescriptionElementSource source = DescriptionElementSource.NewPrimarySourceInstance(ref, null, nameUsedInSource, null);
 		textData.addSource(source);
 		desc.addElement(textData);
 	}
@@ -225,7 +227,7 @@ public class GbifReferenceCsv2CdmConverter extends PartitionableConverterBase<Dw
 	
 
 	private TimePeriod handleDate(String strDate) {
-		TimePeriod tp = TimePeriod.parseString(strDate);
+		TimePeriod tp = TimePeriodParser.parseString(strDate);
 		return tp;
 	}
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifTypesAndSpecimen2CdmConverter.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifTypesAndSpecimen2CdmConverter.java
index 54cbecdad2..61a96852d5 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifTypesAndSpecimen2CdmConverter.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/in/GbifTypesAndSpecimen2CdmConverter.java
@@ -18,7 +18,6 @@ import java.util.Set;
 import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
-import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade.DerivedUnitType;
 import eu.etaxonomy.cdm.io.dwca.TermUri;
 import eu.etaxonomy.cdm.io.stream.StreamItem;
 import eu.etaxonomy.cdm.model.agent.Institution;
@@ -28,7 +27,8 @@ import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.name.TypeDesignationStatusBase;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 
@@ -69,12 +69,12 @@ public class GbifTypesAndSpecimen2CdmConverter extends PartitionableConverterBas
 				typeStatus = getTypeStatus(typeStatusStr, item);
 			}
 			
-			DerivedUnitType unitType = DerivedUnitType.DerivedUnit;
+			SpecimenOrObservationType unitType = SpecimenOrObservationType.DerivedUnit;
 			
 			if (hasDerivedUnit(item, isType)){
-				unitType = DerivedUnitType.Specimen;
+				unitType = SpecimenOrObservationType.PreservedSpecimen;
 			}else{
-				unitType = DerivedUnitType.FieldObservation;
+				unitType = SpecimenOrObservationType.FieldUnit;
 			}
 				
 			DerivedUnitFacade facade = DerivedUnitFacade.NewInstance(unitType);
@@ -84,14 +84,14 @@ public class GbifTypesAndSpecimen2CdmConverter extends PartitionableConverterBas
 			facade.setCollection(collection);
 			facade.setCatalogNumber(catalogNumber);
 			
-			Specimen specimen = CdmBase.deproxy(facade.innerDerivedUnit(), Specimen.class);
+			DerivedUnit specimen = facade.innerDerivedUnit();
 			
 			if (isType){
-				TaxonNameBase name = taxon.getName();
+				TaxonNameBase<?,?> name = taxon.getName();
 				if (typeStatus.isInstanceOf(SpecimenTypeDesignationStatus.class)){
 					SpecimenTypeDesignationStatus status = CdmBase.deproxy(typeStatus, SpecimenTypeDesignationStatus.class);
 					name.addSpecimenTypeDesignation(specimen, status, null, null, null, false, true);
-					MappedCdmBase  mcb = new MappedCdmBase(taxon);
+					MappedCdmBase<?>  mcb = new MappedCdmBase(taxon);
 					resultList.add(mcb);
 				}else if (typeStatus.isInstanceOf(NameTypeDesignationStatus.class)){
 					String message = "NameTypeDesignation not yet implemented";
@@ -103,7 +103,7 @@ public class GbifTypesAndSpecimen2CdmConverter extends PartitionableConverterBas
 				}
 			}
 			
-			MappedCdmBase  mcb = new MappedCdmBase(specimen);
+			MappedCdmBase<?>  mcb = new MappedCdmBase(specimen);
 			resultList.add(mcb);
 
 		}else{
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaDistributionRecord.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaDistributionRecord.java
index 97cf34003d..d15348f82b 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaDistributionRecord.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaDistributionRecord.java
@@ -17,13 +17,11 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.dwca.TermUri;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.location.NamedArea;
-import eu.etaxonomy.cdm.model.location.TdwgArea;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 
 /**
  * @author a.mueller
@@ -38,11 +36,11 @@ public class DwcaDistributionRecord extends DwcaRecordBase implements IDwcaAreaR
 	private String locationIdString;
 	private String locality;
 	private String countryCode;
-	private Stage lifeStage;
+	private DefinedTerm lifeStage;
 	private PresenceAbsenceTermBase<?> occurrenceStatus;
 	private String threadStatus;
 	
-	private PresenceAbsenceTermBase establishmentMeans;
+	private PresenceAbsenceTermBase<?> establishmentMeans;
 	private String appendixCITES;
 	private TimePeriod eventDate;
 	
@@ -150,12 +148,12 @@ public class DwcaDistributionRecord extends DwcaRecordBase implements IDwcaAreaR
 	}
 
 
-	public Stage getLifeStage() {
+	public DefinedTerm getLifeStage() {
 		return lifeStage;
 	}
 
 
-	public void setLifeStage(Stage lifeStage) {
+	public void setLifeStage(DefinedTerm lifeStage) {
 		this.lifeStage = lifeStage;
 	}
 
@@ -165,11 +163,11 @@ public class DwcaDistributionRecord extends DwcaRecordBase implements IDwcaAreaR
 	}
 
 	public void setLocationId(NamedArea area) {
-		if (area.isInstanceOf(TdwgArea.class)){
-			String locationId = "TDWG:" + area.getRepresentation(Language.ENGLISH()).getAbbreviatedLabel();
+		if (area.getVocabulary().getUuid().equals(NamedArea.uuidTdwgAreaVocabulary)){
+			String locationId = "TDWG:" + area.getIdInVocabulary();
 			this.locationIdString = locationId;
-		}else if (area.isInstanceOf(WaterbodyOrCountry.class)){
-			WaterbodyOrCountry country = CdmBase.deproxy(area, WaterbodyOrCountry.class);
+		}else if (area.isInstanceOf(Country.class)){
+			Country country = CdmBase.deproxy(area, Country.class);
 			String locationId = "ISO3166:" + country.getIso3166_A2();
 			this.locationIdString = locationId;
 		}else{
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaExportBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaExportBase.java
index 2e03618b72..e6ac84f3df 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaExportBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaExportBase.java
@@ -34,11 +34,11 @@ import eu.etaxonomy.cdm.io.common.CdmExportBase;
 import eu.etaxonomy.cdm.io.common.ICdmExport;
 import eu.etaxonomy.cdm.io.common.mapping.out.IExportTransformer;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.common.IOriginalSource;
 import eu.etaxonomy.cdm.model.common.ISourceable;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.location.NamedArea;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
@@ -115,8 +115,8 @@ public abstract class DwcaExportBase extends CdmExportBase<DwcaTaxExportConfigur
         if (area != null){
             record.setLocationId(area);
             record.setLocality(area.getLabel());
-            if (area.isInstanceOf(WaterbodyOrCountry.class)){
-                WaterbodyOrCountry country = CdmBase.deproxy(area, WaterbodyOrCountry.class);
+            if (area.isInstanceOf(Country.class)){
+                Country country = CdmBase.deproxy(area, Country.class);
                 record.setCountryCode(country.getIso3166_A2());
             }
         }else{
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaRecordBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaRecordBase.java
index bcc7c02a81..ac3d18657d 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaRecordBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaRecordBase.java
@@ -28,13 +28,12 @@ import eu.etaxonomy.cdm.io.dwca.TermUri;
 import eu.etaxonomy.cdm.model.agent.AgentBase;
 import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.LSID;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
-import eu.etaxonomy.cdm.model.description.Sex;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.location.Point;
 import eu.etaxonomy.cdm.model.media.Rights;
 import eu.etaxonomy.cdm.model.name.NameTypeDesignationStatus;
@@ -288,7 +287,7 @@ public abstract class DwcaRecordBase {
 		}
 	}
 	
-	protected String getSex(Sex sex) {
+	protected String getSex(DefinedTerm sex) {
 		String result = DwcaTaxExportTransformer.transformToGbifSex(sex);
 		if (result == null){
 			if (sex == null){
@@ -301,7 +300,7 @@ public abstract class DwcaRecordBase {
 		}
 	}
 	
-	protected String getLifeStage(Stage stage) {
+	protected String getLifeStage(DefinedTerm stage) {
 		String result = DwcaTaxExportTransformer.transformToGbifLifeStage(stage);
 		if (result == null){
 			if (stage == null){
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTaxExportTransformer.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTaxExportTransformer.java
index 5c21285c03..48fc3c66b1 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTaxExportTransformer.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTaxExportTransformer.java
@@ -15,9 +15,8 @@ import org.apache.commons.lang.StringUtils;
 import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.mapping.InputTransformerBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
-import eu.etaxonomy.cdm.model.description.Sex;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.name.NameTypeDesignationStatus;
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
 import eu.etaxonomy.cdm.model.name.Rank;
@@ -158,7 +157,7 @@ public class DwcaTaxExportTransformer extends InputTransformerBase {
 		}
 	}
 
-	public static String transformToGbifSex(Sex sex) {
+	public static String transformToGbifSex(DefinedTerm sex) {
 		if ( sex == null){
 			return null;
 		}else{
@@ -177,7 +176,7 @@ public class DwcaTaxExportTransformer extends InputTransformerBase {
 		}
 	}
 
-	public static String transformToGbifLifeStage(Stage stage) {
+	public static String transformToGbifLifeStage(DefinedTerm stage) {
 		if ( stage == null){
 			return null;
 		}else{
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTypesExport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTypesExport.java
index 493ffa555e..ad3e2af041 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTypesExport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTypesExport.java
@@ -32,7 +32,7 @@ import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
 import eu.etaxonomy.cdm.model.name.TypeDesignationStatusBase;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
@@ -234,7 +234,7 @@ public class DwcaTypesExport extends DwcaExportBase {
 		if (designation.isInstanceOf(SpecimenTypeDesignation.class)){
 			SpecimenTypeDesignation specDesig = CdmBase.deproxy(designation, SpecimenTypeDesignation.class);
 			try {
-				DerivedUnitBase<?> derivedUnit = specDesig.getTypeSpecimen();
+				DerivedUnit derivedUnit = specDesig.getTypeSpecimen();
 				if (derivedUnit == null){
 					return null;
 				}else{
@@ -255,13 +255,13 @@ public class DwcaTypesExport extends DwcaExportBase {
 	private DerivedUnitFacade getFacadeFromAssociation(IndividualsAssociation individualsAssociation) {
 		SpecimenOrObservationBase<?> specimen = individualsAssociation.getAssociatedSpecimenOrObservation();
 		DerivedUnitFacade facade;
-		if (! specimen.isInstanceOf(DerivedUnitBase.class)){
+		if (! specimen.isInstanceOf(DerivedUnit.class)){
 			String message = "Non DerivedUnit specimen can not yet be handled by this export";
 			logger.warn(message);
 			//TODO handle empty records
 			return null;
 		}else{
-			DerivedUnitBase<?> derivedUnit = CdmBase.deproxy(specimen, DerivedUnitBase.class);
+			DerivedUnit derivedUnit = CdmBase.deproxy(specimen, DerivedUnit.class);
 			try {
 				facade = DerivedUnitFacade.NewInstance(derivedUnit);
 			} catch (DerivedUnitFacadeNotSupportedException e) {
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTypesRecord.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTypesRecord.java
index 8dbea607d4..cd5a9817b5 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTypesRecord.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/dwca/out/DwcaTypesRecord.java
@@ -16,8 +16,8 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.dwca.TermUri;
 import eu.etaxonomy.cdm.model.agent.AgentBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
-import eu.etaxonomy.cdm.model.description.Sex;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.name.TypeDesignationStatusBase;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
@@ -41,7 +41,7 @@ public class DwcaTypesRecord extends DwcaRecordBase {
 	private String collectionCode;
 	private String catalogNumber;
 	private String locality;
-	private Sex sex;
+	private DefinedTerm sex;
 	private AgentBase<?> recordedBy;
 	private String source;
 	private String descriptionSource;
@@ -236,11 +236,11 @@ public class DwcaTypesRecord extends DwcaRecordBase {
 		this.locality = locality;
 	}
 
-	public Sex getSex() {
+	public DefinedTerm getSex() {
 		return sex;
 	}
 
-	public void setSex(Sex sex) {
+	public void setSex(DefinedTerm sex) {
 		this.sex = sex;
 	}
 
